<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePhotoDescriptionTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('photo_descriptions', function (Blueprint $table) {
            $table->id();
            $table->string('title',50)->nullable();

            $table->bigInteger('photo_id')->unsigned()->nullable();
            $table->bigInteger('language_id')->unsigned()->nullable();

            $table->foreign('photo_id')->references('id')->on('photos')->onDelete('cascade');
            $table->foreign('language_id')->references('id')->on('languages')->onDelete('cascade');

            $table->index(['photo_id', 'language_id']);

            // $table->timestamps(); No Need as it is joined to Categories table so any update or delete will affect here

            // For transaction and join constrians
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('photo_descriptions');
    }
}
